## python-pypcap 1.1.2+debian

=== Makefile ===
# $Id: Makefile,v 1.6 2005/10/17 00:08:17 dugsong Exp $

PYTHON	= python
#CONFIG_ARGS = --with-pcap=$(HOME)/build/libpcap-0.8.3

# PYTHON = C:\\Python23\\python.exe
# CONFIG_ARGS = --with-pcap=..\\wpdpack

all: pcap.c
	$(PYTHON) setup.py config $(CONFIG_ARGS)
	$(PYTHON) setup.py build

pcap.c: pcap.pyx
	pyrexc pcap.pyx

install:
	$(PYTHON) setup.py install

test:
	$(PYTHON) test.py

pkg_win32:
	$(PYTHON) setup.py bdist_wininst

pkg_osx:
	bdist_mpkg --readme=README --license=LICENSE

clean:
	$(PYTHON) setup.py clean
	rm -rf build dist

cleandir distclean: clean
	$(PYTHON) setup.py clean -a
	rm -f config.h *~

## python-pypcap 1.2.2

=== Makefile ===
VERSION = 1.2.2

.PHONY: help clean clean-pyc clean-build list test test-all coverage docs release sdist upload

help:
	@echo "clean - remove all build/python artifacts"
	@echo "clean-build - remove build artifacts"
	@echo "clean-pyc - remove Python file artifacts"

sdist:
	python setup.py sdist

sign:
	gpg --no-version --detach-sign --armor --local-user 0x702287F4 dist/pypcap-${VERSION}.tar.gz

upload:
	twine upload -r pypi dist/pypcap-${VERSION}.tar.gz dist/pypcap-${VERSION}.tar.gz.asc

cython:
	cython pcap.pyx

clean: clean-build clean-pyc

clean-build:
	rm -fr htmlcov/
	rm -fr build/
	rm -fr dist/
	rm -fr deb_dist/
	rm -fr *.egg-info
	rm -f *.tar.gz
	rm -f *.xml
	rm -f *.log
	rm -fr .tox
	rm -fr .cache
	rm -fr .coverage
	find . -name '__pycache__' -exec rm -fr {} +
	rm -f pcap.so

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +

=== debian/changelog ===
python-pypcap (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938083

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Oct 2019 18:11:46 -0400

python-pypcap (1.2.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Provide a package for Python 3 (Closes: #881807)
  * Updated Standards-Version to 4.1.5
  * Bumped compat level to 11
  * Switched from pyrex to cython
  * Converted copyright file to be DEP-5 compliant

 -- Hiro <hiro@torproject.org>  Mon, 16 Jul 2018 12:54:37 +0100

python-pypcap (1.1.6-1) unstable; urgency=medium

  * New upstream version 1.1.6
  * Updated Standards-Version to 4.1.0

 -- Iain R. Learmonth <irl@debian.org>  Fri, 01 Sep 2017 00:19:03 +0100

python-pypcap (1.1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #655905)
  * Adopted by the Internet Measurement Packaging Team. (Closes: #839612)
   - Uploaders set to myself.
  * Bumped compat level to 9.
  * debian/control:
   - Standards version to 3.9.8.
   - Removed unnecessary versioned build depends on python-all.
   - Added Homepage field.
   - Added Vcs-* fields for pkg-netmeasure git.
  * Removed redundant patches:
   - search for pcap.h in setup.py
   - multiarch patch for setup.py
  * debian/rules:
   - Rewritten to use modern dh syntax.

 -- Iain R. Learmonth <irl@debian.org>  Sun, 30 Oct 2016 22:23:55 +0000

python-pypcap (1.1.2+debian-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * (Closes: #656543) python-pypcap python-libpcap marked as conflict.

 -- Shell Xu <shell909090@gmail.com>  Mon, 30 Apr 2012 11:17:03 +0800

python-pypcap (1.1.2+debian-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Detect libpcap in multiarch location, patch from Ubuntu; closes: #634420.
  * Switch from python-central (deprecated) to dh_python2; closes: #617019.
  * Add misc:Depends

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Dec 2011 23:46:13 -0500

python-pypcap (1.1.2+debian-2) unstable; urgency=low

  * Patch setup.py to search <pcap/pcap.h> as well as <pcap.h> for needed
    symbols; closes: #526576.

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 09 May 2009 17:24:13 -0400

python-pypcap (1.1.2+debian-1) unstable; urgency=low

  * Initial release; closes: #436389.
  * Repack the upstream tarball with files from both the GNN and Dug Song
    versions of pypcap.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 08 Aug 2007 01:14:08 -0400

=== debian/control ===
Source: python-pypcap
Maintainer: Internet Measurement Packaging Team <pkg-netmeasure-discuss@lists.alioth.debian.org>
Uploaders: Iain R. Learmonth <irl@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               python-all-dev,
               cython,
	       cython3,
	       python3-all-dev,
               libpcap0.8-dev,
               quilt,
               python-setuptools,
	       python3-setuptools,
               dh-python
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/ineteng-team/python-pypcap/
Vcs-Git: https://salsa.debian.org/ineteng-team/python-pypcap.git
Homepage: https://github.com/pynetwork/pypcap

Package: python-pypcap
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: python-libpcap
Provides: ${python:Provides}
Description: object-oriented Python interface for libpcap (Python 2)
 pypcap is an objected-oriented Python interface for libpcap which
 supports packet injection and user callback functions.
 .
 This package works with Python versions 2.x.

Package: python3-pypcap
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: python3-libpcap
Provides: ${python3:Provides}
Description: object-oriented Python interface for libpcap (Python 3)
 pypcap is an objected-oriented Python interface for libpcap which
 supports packet injection and user callback functions.
 .
 This package works with Python versions 3.x.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pypcap

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild

override_dh_auto_configure:
	cython3 pcap.pyx

=== debian/watch ===
version=3
https://github.com/pynetwork/pypcap/tags .*/v?(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
